/* CSS RESET ================================================= */

*,
*::before,
*::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background-color: #afafaf;
    overflow-x: hidden;
    font-family: 'Poppins', sans-serif;
}

@media (max-width: 786px) {
    body {
        margin-bottom: 5rem;
    }
}

/* =========================================================== */

/* VARIABLES ================================================= */

:root {
    --primary-color: #46096A;
    --primary-color-extra-light: #C49EDE;
    --primary-color-light: #6F16A0;
    --primary-color-extra-dark: #1E062B;
    --primary-color-dark: #2D073F;
    
    --accent-color: #F641A8;
    --accent-color-dark: #BE3455;
    
    --mobile-break: 786px;
}

/* =========================================================== */

/* NAVBAR ==================================================== */

header {
    width: 100%;
    height: 6rem;
    position: fixed;
    opacity: .4;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 999;
}

nav {
    position: relative;
    margin: 1rem;
    height: 100%;
    width: 100%;
    z-index: 999;
}

header:hover,
header:focus {
    opacity: 1;
    background: linear-gradient(
        to right,
        var(--accent-color-dark),
        var(--accent-color),
        var(--primary-color-light),
        var(--primary-color),
        var(--primary-color-dark),
        var(--primary-color-extra-dark)
    );
}

@media(max-width: 786px) {
    header:hover,
    header:focus {
        opacity: 1;
        background: unset;
    }
}

header.is-top {
    opacity: 1;
}

.nav-logo-link {
    position: absolute;
    height: 100%;
    width: 20rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav-logo-link img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.nav-link-list {
    height: 100%;
    display: flex;
    align-items: center;
    position: absolute;
    top: 0;
    right: 0;
    list-style: none;
    gap: 2rem;
    font-size: 1.6rem;
    text-decoration: none;
    color: white;
}

.nav-link {
    color: inherit;
    text-decoration: inherit;
}

.nav-link:hover,
.nav-link:focus {
    outline: none;
    color: var(--accent-color);
}

#hamburger-toggle {
    display: none;
}


@media (max-width: 786px) {
    .nav-link-list {
        display: none;
    }
    
    #hamburger-toggle {
        display: flex;
        height: 100%;
        align-items: center;
        justify-content: center;
        position: absolute;
        right: 0;
        background: none;
        border: none;
        font-size: 2.8rem;
        color: white;
        cursor: pointer;
        padding: 0;
        z-index: 1001;
        padding-bottom: 1rem;
    }
    
    .mobile-nav-menu {
        position: fixed;
        top: 0;
        right: 0;
        width: 100vw;
        height: 100vh;
        background-color: var(--primary-color-dark);
        transform: translateX(100%);
        transition: transform .3s ease-in-out;
        z-index: 1000;
        padding: 2rem;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        box-shadow: -2px 0 10px rgba(0, 0, 0, .4);
    }
    
    .mobile-nav-menu.active {
        transform: translateX(0%);
    }
    
    .mobile-nav-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 2rem;
        height: 3rem;
    }
    
    .mobile-nav-logo-link {
        height: 100%;
        width: 10rem;
    }
    
    .mobile-nav-logo-link img {
        height: 100%;
        width: 100%;
        object-fit: contain;
    }
    
    #menu-cancel {
        max-height: 2rem;
        max-width: 2rem;
        cursor: pointer;
    }
    
    .mobile-nav-list {
        width: 100%;
        list-style: none;
        display: flex;
        flex-direction: column;
        gap: 3rem;
    }
    
    .mobile-nav-list li {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    
    .mobile-nav-link {
        width: 100%;
        color: white;
        text-decoration: none;
        font-size: 2.4rem;
    }
    
    .mobile-nav-link:hover,
    .mobile-nav-link:focus {
        outline: none;
        color: var(--accent-color);
    }
}

/* =========================================================== */

/* HOMEPAGE HERO ============================================= */

#homepage-hero-section {
    width: 100%;
    aspect-ratio: 16 / 9;
    position: relative;
    isolation: isolate;
    color: white;
    padding-top: 6rem;
}

.homepage-hero-img {
    width: 100%;
    height: 100%;
    position: absolute;
    /* background-position: bottom; */
    
    background-position: center bottom;
    background-repeat: no-repeat;
    overflow: hidden;
    
    top: 0;
    left: 0;
    transform: scaleX(-1);
    z-index: -1;
}

.homepage-hero-img picture,
.homepage-hero-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    overflow: 0;
    transition: all 1s ease;
}

.homepage-hero-content {
    width: 100%;
    height: 100%;
    justify-content: center;
    display: flex;
    flex-direction: column;
    padding-left: 1rem;
    gap: 4rem;
    margin-left: 5%;
}

.homepage-hero-title {
    display: flex;
    flex-direction: column;
    line-height: 1;
    text-transform: uppercase;
}

.homepage-hero-title-top {
    display: flex;
    flex-direction: column;
    font-weight: 400;
    font-size: max(2.8rem, 2.6cqw);
    letter-spacing: 4px;
    text-shadow: 4px 4px 8px rgba(0, 0, 0, .8);
}

.homepage-hero-title-middle {
    font-weight: 800;
    font-size: max(12rem, 11cqw);
    line-height: 1;
    text-shadow: 8px 8px 16px rgba(0, 0, 0, .9);
}

.homepage-hero-title-bottom {
    font-weight: 500;
    font-size: max(5.2cqw, 4.8rem);
    text-shadow: 4px 4px 8px rgba(0, 0, 0, .8);
}

.homepage-hero-cta {
    display: flex;
    align-items: center;
    gap: max(6cqw, 4rem);
}

.homepage-hero-cta a:nth-child(2) {
    font-weight: 600;
}

@media (max-width: 786px) {
    #homepage-hero-section {
        aspect-ratio: 9 / 8;
    }
    
    .homepage-hero-content {
        justify-content: space-evenly;
        gap: 2rem;
    }
    
    .homepage-hero-title-top {
        font-size: 2.4rem;
        font-size: 1.8rem;
        text-shadow: 2px 2px 4px black;
    }
    
    .homepage-hero-title-middle {
        font-size: 8rem;
        font-size: 4.8rem;
        text-shadow: 4px 4px 8px black;
    }
    
    .homepage-hero-title-bottom {
        font-size: 3.8rem;
        font-size: 2rem;
        text-shadow: 2px 2px 4px black;
    }
}

/* =========================================================== */

/* HOMEPAGE ABOUT US ========================================= */

#homepage-about-us {
    background: linear-gradient(
        to bottom,
        var(--primary-color-dark),
        var(--primary-color)
    );
    color: white;
    padding: 8rem 0;
    display: flex;
    flex-direction: column;
    gap: 4rem;
}

.about-us-heading {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: max(2.2rem, 5cqw);
    line-height: 1.3;
    font-weight: 200;
    text-align: center;
}

.about-us-description {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.about-us-description p {
    font-size: 2rem;
    width: 50%;
    text-wrap: balance;
    text-align: center;
}

.about-us-cta {
    display: flex;
    gap: 4rem;
    align-items: center;
    justify-content: center;
}

.about-us-video {
    width: 100%;
    display: flex;
    justify-content: center;
}

.about-us-video video {
    border: 1px solid white;
    width: 80%;
    border-radius: 1rem;
}

@media (max-width: 786px) {
    #homepage-about-us {
        padding: 4rem 0;
    }
    
    .about-us-heading {
        font-weight: 600;
    }
    
    .about-us-description {
        font-size: 1.4rem;
        font-weight: 300;
    }
    
    .about-us-description p {
        width: 100%;
    }
}

/* =========================================================== */

/* HOMEPAGE E40FX ============================================ */

#homepage-e40fx {
    width: 100%;
    background: linear-gradient(
        to bottom,
        var(--primary-color),
        var(--primary-color-dark)
    );
    color: white;
    padding: 8rem 5%;
    display: flex;
    flex-direction: column;
    gap: 4rem;
}

@media (max-width: 786px) {
    #homepage-e40fx {
        padding: 4rem 0;
    }
}

#homepage-e40fx img {
    border: 1px solid white;
}

.e40fx-desktop-container {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.e40fx-heading-cnt {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.e40fx-heading-cnt.mobile {
    gap: 1rem;
    margin-bottom: 2rem;
}

.e40fx-heading {
    font-size: 4.2rem;
    line-height: 1.1;
}

.e40fx-heading.mobile {
    font-size: 2rem;
}

.e40fx-subheading {
    width: 80%;
    font-size: 1.8rem;
    font-weight: 300;
    line-height: 1.3;
    margin-bottom: 2rem;
    text-wrap: balance;
}

.e40fx-subheading.mobile {
    font-size: 1.4rem;
    width: 100%;
    padding: 0rem 1rem;
}

.e40fx-container {
    padding: 0rem 1rem;
    display: grid;
    grid-template-columns: 50% 42% 8%;
    gap: auto;
}

.e40fx-container.mobile {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.e40fx-content-cnt {
    padding-right: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

@media (max-width: 1100px) {
    .e40fx-content-cnt {
        justify-content: space-between;
    }
}

.e40fx-description {
    width: 100%;
    display: flex;
    flex-direction: column;
    font-size: max(1.4rem, 1.2cqw);
    line-height: 1.4;
    gap: 1rem;
    text-wrap: pretty;
}

.e40fx-description.mobile {
    font-size: 1.4rem;
    margin: 2rem 0;
}

.e40fx-features-cnt {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.e40fx-features-cnt.mobile {
    margin: 2rem 0;
    gap: 1rem;
}

.e40fx-features-title {
    font-size: min(2.4rem, 2cqw);
    line-height: 1.5;
    text-transform: uppercase;
}

.e40fx-features-title.mobile {
    font-size: 1.8rem;
    text-align: center;
}

.e40fx-features-list {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0.4rem;
    font-size: 1.2cqw;
    font-weight: 300;
}

.e40fx-features-list.mobile {
    width: 100%;
    grid-template-columns: 50% 50%;
    font-size: 1.4rem;
    gap: .4rem 2rem;
}

.e40fx-hero-cnt {
    width: 100%;
    aspect-ratio: 9 / 8;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.e40fx-hero-cnt.mobile {
    padding: 1rem 0;
}

.e40fx-hero-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 2rem;
}

.e40fx-hero-cnt img,
.e40fx-hero-cnt picture {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 2rem;
}

.e40fx-hero-img.mobile {
    border-radius: 1rem;
}

.e40fx-gallery-cnt {
    width: 100%;
    height: fit-content;
    padding-left: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.e40fx-gallery-cnt.mobile {
    max-width: 100%;
    padding: 0;
    flex-direction: row;
    overflow: hidden; 
    overflow-x: auto;
    padding: 2rem 1rem;
}

.e40fx-gallery-cnt img {
    width: 100%;
    aspect-ratio: 9 / 8;
    border-radius: 1rem;
    object-fit: cover;
}

.e40fx-gallery-cnt.mobile img {
    width: 45%;
    max-width: 45%;
}

.e40fx-cta {
    height: fit-content;
    display: flex;
    align-items: center;
    gap: 4rem;
}

.e40fx-cta.mobile {
    padding-left: 1rem;
    width: 100%;
    gap: 4rem;
    margin: 2rem 0;
    justify-content: space-evenly;
}

/* =========================================================== */

/* HOMEPAGE INVENTORY ======================================== */ 

#homepage-inventory {
    width: 100%;
    background-color: var(--primary-color-dark);
    color: white;
    display: flex;
    flex-direction: column;
    gap: 4rem;
    padding: 8rem 0;
}

#homepage-inventory img {
    border: 1px solid white;
}

@media (max-width: 786px) {
    #homepage-inventory {
        padding: 4rem 0;
    }
}

.inventory-mobile-cnt {
    width: 100vw;
    width: max(400px, 100%);
}

.inventory-heading-cnt {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.inventory-heading-cnt.mobile {
    width: 100vw;
}

.inventory-heading {
    font-size: 4.2rem;
    line-height: 1.2;
    text-align: center;
    margin-bottom: 4rem;
}

.inventory-heading.mobile {
    font-size: 2.4rem;
    line-height: 1.4;
}

.inventory-cart {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: calc(400px + 2rem);
    border-radius: 1rem;
    position: relative;
    z-index: 0;
}

.inventory-cart::after {
    content: "";
    position: absolute;
    top: 1rem;
    right: 1rem;
    bottom: 1rem;
    left: 1rem;
    border-radius: 1rem;
    z-index: -1;
    transition: all .3s ease;
}

.inventory-cart:hover::after {
    background-color: var(--primary-color-extra-dark);
    top: -4rem;
    right: -4rem;
    bottom: -4rem;
    left: -4rem;
}

.inventory-cart-hero img {
    position: relative;
    border-radius: 1rem;
    margin-top: 1rem;
}

.inventory-cart-hero .fade-overlay {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    z-index: 2;
    pointer-events: none;
}

.inventory-carts-cnt {
    padding: 0rem 1rem;
    display: grid;
    grid-template-columns: repeat(auto-fit, 400px);
    justify-content: center;
    gap: 6rem;
}

.inventory-carts-cnt.mobile {
    gap: 3rem;
}

.inventory-cart-hero {
   margin-bottom: 1rem; 
}

.inventory-cart-heading {
    height: 3rem;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 2rem;
    padding: 0rem 1rem;
}

.inventory-cart-heading.mobile {
    width: 100%;
    padding: 0rem 1rem;
    margin-bottom: 1rem;
    justify-content: space-evenly;
}

.inventory-cart-heading .cart-name {
    font-size: 2.8rem;
    font-weight: 600;
}

.inventory-cart-heading.mobile .cart-name {
    font-size: 2.4rem;
}

.inventory-cart-heading .cart-price {
    font-size: 2rem;
    font-weight: 300;
}

.inventory-cart-heading.mobile .cart-price {
    font-size: 1.8rem;
    font-weight: 400;
}

.cart-cta {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    padding-right: 1rem;
}

.inventory-mobile-gallery {
    padding: 0;
    display: flex;
    gap: 1rem;
    width: max(400px, 100%);
    min-height: calc(100vw * 9 / 16);
    overflow-x: scroll;
    margin-bottom: 2rem;
    margin-left: 1rem;
    scroll-snap-type: x mandatory;
}

.inventory-mobile-gallery img {
    width: min(90%, 90vw);
    min-width: min(90%, 90vw);
    object-fit: cover;
    border-radius: 1rem;
    scroll-snap-align: start;
}

.inventory-cart-mobile {
    width: 100vw;
    padding: 0;
}

.inventory-mobile-gallery img:last-child {
    margin-right: 10%;
}

@media (max-width: 380px) {
    .inventory-mobile-gallery img:last-child {
        margin-right: 10rem;
    }
}

/* =========================================================== */

/* HOMEPAGE FINANCING ======================================== */

#homepage-financing {
    background: linear-gradient(
        to bottom,
        var(--primary-color-dark),
        var(--primary-color)
    );
    color: white;
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    padding: 8rem 0;
}

.financing-heading-cnt {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    line-height: 1.2;
    margin-bottom: 4rem;
}

.financing-heading {
    font-size: min(5.4cqw, 4.8rem);
}

.financing-heading .accent {
    color: var(--accent-color);
    font-size: min(4.4rem, 5cqw);
    font-weight: 800;
}

@media (max-width: 786px) {
    #homepage-financing {
        padding: 4rem 0;
    }
    
    .financing-hero-cnt {
        margin-bottom: unset;
    }
    
    .financing-heading {
        font-size: 2.6rem;
    }
    
    .financing-heading .accent {
        font-size: 2.4rem;
    }
}

.financing-container {
    width: 100%;
    padding: 0% 5%;
    position: relative;
}

.financing-container p {
    font-size: 1.8rem;
    font-size: 1.6cqw;
    font-size: min(2.4rem, 1.6cqw);
    font-weight: 300;
    line-height: 1.3;
    margin-bottom: 2rem;
    text-wrap: balance;
}

@media (max-width: 786px) {
    .financing-container p {
        font-size: 1.6rem;
        text-wrap: unset;
    }
}

.financing-cta {
    display: flex;
    height: fit-content;
    margin-top: 4rem;
}

@media (max-width: 786px) {
    .financing-cta {
        justify-content: flex-end;
    }
}

.financing-hero-cnt {
    height: 100%;
    width: min(45vw, 450px);
    float: right;
    shape-outside: polygon(19% 0, 100% 0, 100% 60%, 100% 100%, 0 100%, 0 69%, 19% 49%);
    clip-path: polygon(19% 0, 100% 0, 100% 60%, 100% 100%, 0 100%, 0 69%, 19% 49%);
    margin-left: 4rem;
    shape-margin: 0;
}

@media (max-width: 786px) {
    .financing-hero-cnt {
        display: none;
    }
}

.financing-hero-cnt img {
    display: block;
    width: 100%;
    height: auto;
    object-fit: contain;
}

/* =========================================================== */

/* HOMEPAGE CALCULATOR ======================================= */

#homepage-calculator {
    width: 100%;
    background: linear-gradient(
        to bottom,
        var(--primary-color),
        var(--primary-color-dark)
    );
    color: white;
    display: flex;
    flex-direction: column;
    gap: 4rem;
    padding: 8rem 0;
}

@media (max-width: 786px) {
    #homepage-calculator {
        padding: 4rem 0;
    }
}

.calculator-heading-cnt {
    width: 100%;
    padding: 0rem 5%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.calculator-heading {
    font-size: min(5.4rem, 4cqw);
    line-height: 1.3;
}

@media (max-width: 1000px) {
    .calculator-heading {
        font-size: max(4cqw, 2.4rem);
    }
}

.calculator-content-cnt {
    width: 100%;
    padding: 0rem 5%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 8rem;
}

@media (max-width: 1000px) {
    .calculator-content-cnt {
        flex-direction: column;
        align-items: center;
        gap: 2rem;
    }
}

.calculator-form-cnt {
    aspect-ratio: 9 / 8;
    width: 45%;
    border-radius: 1rem;
    background: linear-gradient(
        to bottom right,
        var(--primary-color-light) 10%,
        var(--accent-color)
    );
    padding: 2rem;
}

#calculator {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

#calculator label {
    font-size: 2cqw;
    font-size: max(2cqw, 1.8rem);
    font-weight: 600;
}

.calculator-input-block {
    display: grid;
    grid-template-columns: auto 40%;
    padding: 2px;
}

.slider-cnt {
    display: grid;
    grid-template-columns: 90% 10%;
    gap: 1rem;
    padding-right: calc(1rem + 2px);
}

#interest-display {
    font-size: max(2cqw, 2rem);
}

.calculator-slider-block {
    display: flex;
    flex-direction: column;
}

#payment-content-cnt {
    aspect-ratio: 9 / 8;
    width: 45%;
    border-radius: 1rem;
    background: linear-gradient(
        to bottom right,
        var(--primary-color-light) 30%,
        var(--primary-color)
    );
    padding: 2rem;
    display: flex;
    flex-direction: column;
}

#payment-content-cnt img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 1rem;
}

.payment-cart-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    flex: 1;
    padding-right: 1rem;
}

.payment-cart {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

#payment-cart-name {
    font-size: 3.2rem;
    font-weight: 400;
}

.monthly-payment-cnt {
    font-size: 2.4rem;
}

#payment-desktop {
    font-size: 2.8rem;
    font-weight: 600;
}

.calculator-form-cnt,
#payment-content-cnt {
    min-width: max(45%, 350px);
}

@media (max-width: 1000px) {
    .calculator-form-cnt,
    #payment-content-cnt {
        width: min(450px, 100%);
        padding: 1rem;
    }
}

/* =========================================================== */

/* HOMEPAGE ADVENTURE ======================================== */

#homepage-adventure {
    width: 100%;
    background: linear-gradient(
        to bottom,
        var(--primary-color-dark),
        var(--primary-color)
    );
    color: white;
    display: flex;
    flex-direction: column;
    padding: 8rem 0;
}

@media (max-width: 786px) {
    #homepage-adventure {
        padding: 4rem 0;
    }
}

.adventure-heading-cnt {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 4rem;
}

.adventure-heading {
    font-size: min(4.8rem, 4cqw);
    line-height: 1.3;
    text-align: center;
}

@media (max-width: 786px) {
    .adventure-heading {
        font-size: 2.8rem;
        font-size: 6cqw;
        font-size: max(2.4rem, 6cqw);
    }
}

.adventure-content-cnt {
    width: 100%;
    padding: 0rem 5%;
    display: grid;
    grid-template-columns: 488px 50%;
    gap: 4rem;
    justify-content: center;
}

.adventure-content-cnt.mobile {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.adventure-hero-cnt {
    width: 100%;
    height: 100%;
}

.adventure-hero-cnt.mobile {
    width: 100%;
    aspect-ratio: 9 / 8;
}

.adventure-hero-cnt img {
    width: 100%;
    object-fit: cover;
    border-radius: 20% 0 0 20%;
}

.adventure-hero-cnt.mobile img {
    width: 100%;
    height: 100%;
    border-radius: 1rem;
}

.adventure-content {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.adventure-title {
    width: 100%;
    line-height: 1.3;
    font-size: min(3.2rem, 2.8cqw);
    display: flex;
    flex-direction: column;
}

.adventure-title.mobile {
    display: inline;
    font-size: 2rem;
    justify-content: center;
    text-align: center;
}

.adventure-title .accent {
    color: var(--accent-color);
}

.adventure-description {
    font-size: min(1.8rem, 1.7cqw);
    line-height: 1.5;
}

.adventure-description.mobile {
    font-size: 1.6rem;
}

.adventure-features-list {
    font-size: 1.8rem;
    font-weight: 300;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    line-height: 1.3;
}

.adventure-features-list.mobile {
    font-size: 1.6rem;
}

.adventure-features-list .accent {
    font-size: min(1.9cqw, 2.2rem);
    font-weight: 600;
}

.adventure-features-list.mobile .accent {
    font-size: 1.8rem;
}

.adventure-cta {
    height: fit-content;
    width: 100%;
    display: flex;
    align-items: center;
    gap: 8rem;
}

.adventure-cta.mobile {
    justify-content: space-evenly;
    gap: unset;
}

/* =========================================================== */

/* HOMEPAGE REVIEWS ========================================== */

#homepage-reviews {
    width: 100%;
    background: linear-gradient(
        to bottom,
        var(--primary-color),
        var(--primary-color-dark)
    );
    color: white;
    display: flex;
    flex-direction: column;
    gap: 4rem;
    padding: 8rem 0;
}

.reviews-heading-cnt {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    text-align: center;
}

.reviews-heading {
    font-size: 4.4rem;
}

.reviews-subheading {
    width: 50%;
    font-size: 1.8rem;
    padding: 0rem 1rem;
}

@media (max-width: 786px) {
    #homepage-reviews {
        padding: 4rem 0;
    }
    
    .reviews-heading-cnt {
        gap: 1rem;
    }
    
    .reviews-heading {
        font-size: 2.8rem;
        line-height: 1.3;
    }
    
    .reviews-subheading {
        width: 100%;
        font-size: 1.8rem;
        line-height: 1.3;
    }
}

.reviews-hero-cnt {
    display: flex;
    flex-direction: column;
    margin-left: 5%;
}

.reviews-hero-title {
    font-size: 1.8rem;
    font-weight: 600;
}

.reviews-rating-cnt {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.reviews-rating-cnt img {
    height: 4rem;
    width: auto;
}

.reviews-rating {
    font-size: 2rem;
    font-weight: 700;
}

.reviews-amount {
    font-size: 1.8rem;
    font-weight: 500;
}

.reviews-content-cnt {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    width: min(calc(1320px + 8rem), 100%);
    place-self: center;
    gap: 1rem;
    padding: 1rem;
    border-radius: 1rem;
}

.review-card {
    border: 1px solid white;
    grid-column: span 6;
    border-radius: 1rem;
    height: fit-content;
    padding: 1rem;
}

.review-stars {
    max-width: 10rem;
    height: auto;
}

.card-content-cnt {
    width: 100%;
    padding: 1rem 0;
    font-size: 1.4rem;
    line-height: 1.5;
    display: -webkit-box;
    line-clamp: 3;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    position: relative;
    max-height: calc((1.4rem * 3) + 3rem); /* I don't know why this completely  */
    /* broke but this is my duct taping it together */
}

.card-content-cnt.active {
    max-height: unset;
    display: block;
}

.review-toggle {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    margin-top: 1rem;
    font-size: 1.6rem;
    color: var(--accent-color);
    cursor: pointer;
    user-select: none;
}

.review-toggle.active {
    color: var(--accent-color-dark);
}

.card-author-cnt {
    width: fit-content;
    height: 5rem;
    display: flex;
    align-items: center;
    gap: 1rem;
    color: white;
    text-decoration: none;
}

.author-profile {
    height: 100%;
    width: auto;
    object-fit: cover;
}

.author-name {
    font-size: 1.8rem;
}

@media(max-width: 990px) {
    .reviews-content-cnt {
        grid-template-columns: repeat(8, 1fr);
    }
    
    .review-card {
        grid-column: span 4;
    }
}

@media (max-width: 630px) {
    .reviews-content-cnt {
        grid-template-columns: repeat(4, 1fr);
    }
}

.reviews-cta {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding-right: 5%;
}

/* =========================================================== */

/* HOMEPAGE FAQS ============================================= */

#homepage-faq {
    width: 100%;
    background: linear-gradient(
        to bottom,
        var(--primary-color-dark),
        var(--primary-color)
    );
    color: white;
    display: flex;
    flex-direction: column;
    padding: 8rem 0;
}

@media (max-width: 786px) {
    #homepage-faq {
        padding: 4rem 0;
    }
}

.faq-heading-cnt {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 0rem 5%;
    margin-bottom: 2rem;
}

.faq-heading {
    font-size: 3.2rem;
    font-weight: 600;
}

.faq-subheading {
    font-size: 1.8rem;
    font-weight: 300;
}

@media (max-width: 786px) {
    .faq-subheading {
        font-size: 3.4cqw;
    }
}

#faq-content-cnt {
    width: 100%;
    padding: 2rem calc(5% + 2rem);
}

@media (max-width: 786px) {
    #faq-content-cnt {
        padding: 1rem calc(2% + 2rem);
    }
}

.faq-block-cnt {
    display: flex;
    flex-direction: column;
}

.faq-question-cnt {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    user-select: none;
    cursor: pointer;
    position: relative;
}

.faq-question-cnt::after {
    position: absolute;
    top: 0;
    width: 100vw;
}

.faq-question {
    font-size: 2rem;
    font-weight: 600;
    user-select: none;
}

@media (max-width: 786px) {
    .faq-question {
        font-size: 1.8rem;
    }
}

.faq-answer-block {
    border-top: 1px solid white;
    margin-top: 1rem;
    padding: 3rem 1rem;
}

@media (max-width: 786px) {
    .faq-answer-block {
        padding: 2rem 1rem;
    }
}

.faq-answer {
    font-size: 1.4rem;
    line-height: 1.5;
    opacity: 0;
    max-height: 0;
    transition: all .3s ease;
}

.faq-answer.revealed {
    opacity: 1;
    max-height: unset;
    height: fit-content;
}

.faq-cta-cnt {
    display: flex;
    flex-direction: column;
    gap: 4rem;
    padding: 1rem 5%;
}

.faq-cta-title-cnt {
    display: flex;
    flex-direction: column;
}

.faq-title {
    font-size: 2rem;
    font-weight: 600;
}

.faq-subtitle {
    font-size: 1.8rem;
}

.faq-cta {
    height: fit-content;
}

/* =========================================================== */

/* FOOTER ==================================================== */

#footer-cnt {
    width: 100%;
    background-color: var(--primary-color-extra-dark);
    color: white;
    padding: 3rem;
    display: grid;
    grid-template-rows: 32px auto 6rem;
    gap: 1rem;
}

#footer-cnt.mobile {
    height: auto;
    min-height: 6rem;
    width: 100vw;
    position: fixed;
    bottom: 0;
    left: 0;
    padding: unset;
    padding: 0;
    z-index: 9999;
    font-size: 1.2rem;
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

.footer-hours-toggle.mobile {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

#footer-hours-text {
    font-size: 1.2rem;
    color: white;
    font-weight: 400;
}

.footer-home-cnt,
.footer-location-cnt,
.footer-phone-cnt,
.footer-contact-cnt,
.footer-hours-cnt {
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    min-height: 6rem;
}

.footer-phone-cnt {
    padding-bottom: 4px;
}

.footer-link.mobile {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    color: white;
}

.footer-content.mobile {
    font-size: 1.2rem;
    width: 100vw;
    min-height: 6rem;
    height: auto;
    list-style: none;
    display: grid;
    grid-template-columns: 18% 18% 28% 18% 18%;
    gap: 0;
    padding: 0;
    margin: 0;
    position: relative;
}

.footer-logo-cnt {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: flex-start;
}

.footer-content-cnt {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
}

.footer-title-cnt {
    width: 100%;
    height: 4rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact-blocks-cnt {
    width: 24rem;
    height: calc(100% - 4rem);
    place-self: center;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.contact-block {
    width: 100%;
    display: flex;
    gap: 4px;
    align-items: center;
}

.contact-block a {
    font-size: 1.8rem;
    color: white;
    text-decoration: none;
    line-height: 1.4;
}

.contact-block a:hover,
.contact-block a:focus {
    text-decoration: underline;
    text-underline-offset: 4px;
}

.footer-links-cnt {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.footer-links-list {
    width: 24rem;
    height: calc(100% - 4rem);
    display: flex;
    flex-direction: column;
    gap: 2rem;
    align-items: center;
    list-style: none;
    place-self: center;
}

.footer-links-list a {
    font-size: 2rem;
    font-weight: 500;
    color: white;
    text-decoration: none;
}

.footer-links-list a:hover,
.footer-links-list a:focus {
    text-decoration: underline;
    text-underline-offset: 4px;
}

.hours-content-cnt {
    width: 24rem;
    height: calc(100% - 4rem);
    display: flex;
    flex-direction: column;
    gap: 1rem;
    place-self: center;
    overflow: visible;
}

.hours-location-block {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.hours-title-cnt {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: fit-content;
    cursor: pointer;
    margin-bottom: 1rem;
    border-bottom: 1px solid rgba(255, 255, 255, .7);
}

.hours-location-title {
    font-size: 1.8rem;
}

.footer-hours-toggle {
    font-size: 3.2rem;
    font-weight: 600;
    line-height: 1;
    color: var(--accent-color);
}

.footer-hours-toggle.revealed {
    color: var(--accent-color-dark);
}

.hours-block-cnt {
    opacity: 0;
    max-height: 0;
    transition: all .3s ease;
    overflow: hidden;
}

.hours-block-cnt.revealed {
    opacity: 1;
    max-height: 50rem;
    height: fit-content;
    padding-left: 4px;
}

.hours-block {
    display: flex;
    justify-content: space-between;
    font-size: 1.6rem;
}


.hours-days {
    font-weight: 500;
}

.footer-title {
    font-size: 2rem;
    font-weight: 600;
}

.footer-copyright {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    text-align: center;
    font-size: 2rem;
    font-weight: 300;
    line-height: 1.2;
}

.footer-slider-cnt {
    position: absolute;
    height: 0;
    overflow: hidden;
    background: var(--primary-color-extra-dark);
    transition: height .3s ease;
    padding: 0rem 1rem;
    text-align: center;
    font-size: 1.4rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-bottom: 1rem;
    opacity: 0;
}

.footer-slider-cnt.open {
    height: 6rem;
    position: relative;
    opacity: 1;
}

.footer-slider-times {
    list-style: none;
    width: 100%;
}

.footer-slider-times li {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: flex-start;
}

/* =========================================================== */

/* UTILITY CLASSES =========================================== */ 

.primary-button {
    background: linear-gradient(
        to bottom right,
        var(--primary-color-light),
        var(--accent-color)
    );
    color: white;
    padding: 1rem 2rem;
    font-size: 2rem;
    text-decoration: none;
    border-radius: 1rem;
    white-space: nowrap;
}

.primary-button:hover,
.primary-button:focus {
    outline: none;
    background: linear-gradient(
        to bottom right,
        var(--primary-color-light),
        var(--accent-color-dark)
    );
}

.secondary-button {
    color: white;
    text-decoration: none;
    font-size: 2rem;
    text-shadow: 4px 4px 8px rgba(0, 0, 0, .8);
    white-space: nowrap;
}

.secondary-button:hover,
.secondary-button:focus {
    text-decoration: underline;
    text-underline-offset: 4px;
}

@media (max-width: 786px) {
    .primary-button {
        font-size: 1.6rem;
        padding: 1rem 1.5rem;
    }
    
    .secondary-button {
        font-size: 1.6rem;
    }
}

.checkmark-bullets { /* only applicable for ul elements */
    list-style: none;
}

.checkmark-bullets li {
    position: relative;
    padding-left: 2rem;
}

.checkmark-bullets li::before {
    content: "\2714";
    position: absolute;
    left: 0;
    font-weight: bold;
    color: var(--accent-color);
}

.sr-only {
    position: absolute;
    left: -9999px;
}

.mobile-copyright {
    width: 100%;
    height: 4rem;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.6rem;
    background-color: var(--primary-color);
    color: white;
    text-align: center;
    padding-top: 4rem;
    padding-bottom: 8rem;
}

/* =========================================================== */
